Name:		xenserverjava
Version:	5.6.100.1
Release:	1%{?dist}
Summary:	Java SDK for XenServer

Group:		Development/Libraries
License:	GPLv2 with exceptions
URL:		http://citrix.com
Source0:	http://community.citrix.com/download/attachments/38633496/XenServerJava-5.6.100-1-src.zip
Patch0:		%{name}-makefile.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	java-devel >= 1:1.6.0 
BuildRequires:	jpackage-utils
BuildRequires:	xmlrpc3-common
BuildRequires:	xmlrpc3-client
BuildRequires:	ws-commons-util
BuildRequires:	dos2unix
Requires:	java >= 1:1.6.0
Requires:	jpackage-utils
Requires:	xmlrpc3-common
Requires:	xmlrpc3-client
Requires:	ws-commons-util

BuildArch:	noarch

%description
XenServer Java SDK for utilizing the XML-RPC interface of XenServer. 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Libraries

%description javadoc
Javadoc for %{name}

%prep
%setup -qn XenServerJava
%patch0 -p1 
dos2unix README.txt

%build
make %{?_smp_mflags}
make docs

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -m 644 xenserver-5.6.100-1.jar \
  $RPM_BUILD_ROOT%{_javadir}/xenserver-5.6.100-1.jar

#javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -a doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_javadir}/xenserver-5.6.100-1.jar
%doc README.txt LICENSE.txt GPL-2

%files javadoc
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadocdir}/*


%changelog
* Fri May 27 2011 David Nalley <david@gnsa.us> - 5.6.100.1
- Initial packaging
